using System;

internal sealed class Delegate828 : MulticastDelegate
{
	public extern long Invoke(ref IntPtr intptr_0);

	public static long smethod_0(ref IntPtr intptr_0, Delegate828 delegate828_1)
	{
		return delegate828_1(ref intptr_0);
	}

	public extern Delegate828(object object_0, IntPtr intptr_0);

	static Delegate828()
	{
		Class10.smethod_13(typeof(Delegate828).TypeHandle);
	}

	internal static Delegate828 delegate828_0;
}
